http_put_data
http_put_stream
Funções para HTTP
PHP Manual

# http_put_file

(PECL pecl_http >= 0.10.0)

http_put_file — Perform PUT request with file

### Descrição

string http_put_file ( string `$url` , string `$file` [, array `$options` [, array `&$info` ]] )

Performs an HTTP PUT request on the supplied url.

See the full list of request options.

### Parâmetros

`url`

  URL

`file`

  The file to put

`options`

  request options

`info`

  Request/response information

### Valor Retornado

Returns the HTTP response(s) as string on success, or `FALSE` on failure.

http_put_data
http_put_stream
Funções para HTTP
PHP Manual